## wxMediaEvent

Event wxMediaCtrl uses.

Derived from

wxNotifyEvent

Include files

<wx/mediactrl.h>

Event table macros

EVT_MEDIA_LOADED(id, func) | Sent when a media has loaded enough data that it can start playing.
EVT_MEDIA_STOP(id, func) | Send when a media has switched to the wxMEDIASTATE_STOPPED state. You may be able to Veto this event to prevent it from stopping, causing it to continue playing - even if it has reached that end of the media (note that this may not have the desired effect - if you want to loop the media, for example, catch the EVT_MEDIA_FINISHED and play there instead).
EVT_MEDIA_FINISHED(id, func) | Sent when a media has finished playing in a wxMediaCtrl.
EVT_MEDIA_STATECHANGED(id, func) | Send when a media has switched its state (from any media state).
EVT_MEDIA_PLAY(id, func) | Send when a media has switched to the wxMEDIASTATE_PLAYING state.
EVT_MEDIA_PAUSE(id, func) | Send when a media has switched to the wxMEDIASTATE_PAUSED state.

Members